%define name python-ply
%define version 1.5
%define release 2mdk

Summary: Python Lex-Yacc
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: Development/Python
Source0: http://systems.cs.uchicago.edu/ply/ply-%{version}.tar.bz2
Patch1: ply-debug.patch.bz2
URL: http://systems.cs.uchicago.edu/ply/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: python
BuildRequires: python
BuildArch: noarch

%description
PLY is yet another implementation of lex and yacc for Python. Although
several other parsing tools are available for Python, there are
several reasons why you might want to take a look at PLY:
- It uses LR-parsing which is reasonably efficient and well suited for
  larger grammars.
- PLY provides most of the standard lex/yacc features including
  support for empty productions, precedence rules, error recovery, and
  support for ambiguous grammars.
- PLY is extremely easy to use and provides very extensive error
  checking.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n ply-%{version}

%patch1 -p1

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root,0755)
%doc CHANGES COPYING README TODO doc example test


%changelog
* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.5-2mdk
- Rebuild for new python

* Tue Aug 31 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- from Gaetan Lehmann <glehmann@netcourrier.com> :
	- Create package from scratch for mandrake system

